Bug 600617 - xmlindexer always crashes
Summary: xmlindexer always crashes
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: strigi   
(Show other bugs)
Version: 14
Hardware: x86_64 Linux
low
high
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-05 08:15 UTC by Jos van den Oever
Modified: 2012-08-16 21:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 21:49:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 444800 None None None Never

Description Jos van den Oever 2010-06-05 08:15:51 UTC
Description of problem:
xmlindexer, a tool that comes with strigi, alwasy crashes when finishing


Version-Release number of selected component (if applicable):
0.7.2-2.fc13

How reproducible:
always

Steps to Reproduce:
1.install strigi
2.open terminal
3.run e.g. 'xmlindexer non-existing-file'
  
Actual results:
xmlindexer: symbol lookup error: /usr/lib64/libldap-2.4.so.2: undefined symbol: ldap_int_tls_destroy


Expected results:
normal end of program with status 0


Additional info:

Comment 1 Jos van den Oever 2010-06-05 08:21:02 UTC
This problem is due to /usr/lib64/strigi/strigiea_ics.so
When that plugin is removed the crash disappears. The plugin links to libldap:
ldd /usr/lib64/strigi/strigiea_ics.so gives
  libldap-2.4.so.2 => /usr/lib64/libldap-2.4.so.2 (0x00007f92d5fd1000)

Comment 2 Jos van den Oever 2010-06-05 08:33:29 UTC
The problem also applies to /usr/lib64/strigi/strigiea_vcf.so which also links to libldap. The any program linking to libstreamanalyzer is affected. That means Nepomuk is affected too.

Comment 3 Rex Dieter 2010-06-30 15:09:06 UTC
fun, we've seen similar wierd ldap symbol lookup failures in kdepim in the past.

ldap folks, any ideas?

Comment 4 Jan Zeleny 2010-06-30 16:20:04 UTC
Actually yes, openldap in rawhide was apx. two days ago compiled with new TLS configuration. Please try to recompile the package, I think it should solve the issue.

Comment 5 Rex Dieter 2010-06-30 16:35:15 UTC
Excellent thanks, strigi is now rebuilt on rawhide.

Fwiw, I can reproduce this error on F13, any advice on what to do there?

Comment 6 Jan Zeleny 2010-07-01 07:20:06 UTC
To be honest, I have no idea. Openldap in F-13 has been compiled with conectionless support. That is the only thing I can think of which might have affected openldap ABI. I guess you can try to do at least scratch build with current openldap and see if it helps.

Comment 7 Bug Zapper 2010-07-30 12:02:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Rex Dieter 2010-09-10 14:18:49 UTC
linking similar bug @ novell , https://bugzilla.novell.com/show_bug.cgi?id=444800

they and gentoo (http://www.gentoo.org/proj/en/qa/asneeded.xml) 
seem to think it's some sort of dynamic linker bogosity.

Comment 9 Fedora End Of Life 2012-08-16 21:49:59 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.